## vim-autopep8 1.0.7

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/browsereload-macvim.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/browsereload-macvim.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/browsereload-macvim"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/browsereload-macvim"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
Jinja2==2.7
MarkupSafe==0.18
Pygments==1.6
Sphinx==1.2b1
distribute==0.6.45
docutils==0.10
sphinxjp.themecore==0.1.3
sphinxjp.themes.basicstrap==0.3.0
wsgiref==0.1.2

=== debian/changelog ===
vim-autopep8 (1.0.7-1) unstable; urgency=low

  * Initial release (Closes: #806573)

 -- Balasankar C <balasankarc@autistici.org>  Sun, 29 Nov 2015 12:31:30 +0530

=== debian/control ===
Source: vim-autopep8
Section: editors
Priority: extra
Maintainer: Balasankar C <balasankarc@autistici.org>
Build-Depends: debhelper (>= 9), python-sphinx
Standards-Version: 3.9.6
Homepage: https://github.com/tell-k/vim-autopep8
Vcs-Git: git://anonscm.debian.org/collab-maint/vim-autopep8.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/vim-autopep8.git;a=summary

Package: vim-autopep8
Architecture: all
Depends: python-autopep8,
         vim,
         vim-addon-manager,
         ${misc:Depends},
Description: vim plugin to apply autopep8
 This package provides vim-autopep8, a Vim plugin that applies autopep8 to your
 current file. autopep8 automatically formats Python code to conform to the
 PEP 8 style guide.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# main packaging script based on dh7 syntax
%:
	dh $@ --with=sphinxdoc

override_dh_auto_build:
	dh_auto_build
	http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ debian/build/html # HTML generator

override_dh_clean:
	rm -rf debian/build
	dh_clean

## vim-autopep8 1.2.0

=== docs/requirements.txt ===
Sphinx==1.2.3
sphinxjp.themes.basicstrap==0.4.1

=== debian/changelog ===
vim-autopep8 (1.2.0-3) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jun 2022 12:23:22 -0400

vim-autopep8 (1.2.0-2) unstable; urgency=medium

  * Use Sphinx's Python 3 library (Closes: #943259)
  * Use debhelper-compat virtual package
  * Bump Debhelper comatability to 12

 -- Balasankar C <balasankarc@debian.org>  Tue, 21 Jan 2020 00:06:08 +0530

vim-autopep8 (1.2.0-1) unstable; urgency=medium

  * New upstream release
    change-theme.patch refreshed

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 01 Dec 2019 10:43:02 +0100

vim-autopep8 (1.0.7-2) unstable; urgency=medium

  * Package moved in salsa
  * Standards-Version updated to 4.4.1
  * Python team - Uploaded added
  * fix priority-extra-is-replaced-by-priority-optional

  [ Nicholas D Steeves ]
  * Swap dependency of python-autopep8 for python3-autopep8 (>> 1.4.4-1),
    which now provides /usr/bin/autopep8.
    (Closes: #943259)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 01 Dec 2019 10:38:42 +0100

=== debian/control ===
Source: vim-autopep8
Section: editors
Priority: optional
Maintainer: Balasankar C <balasankarc@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 12),
               python3-sphinx
Standards-Version: 4.5.0
Homepage: https://github.com/tell-k/vim-autopep8
Vcs-Git: https://salsa.debian.org/python-team/packages/vim-autopep8.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/vim-autopep8
Rules-Requires-Root: no

Package: vim-autopep8
Architecture: all
Depends: python3-autopep8 (>> 1.4.4-1),
         vim,
         vim-addon-manager,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: vim plugin to apply autopep8
 This package provides vim-autopep8, a Vim plugin that applies autopep8 to your
 current file. autopep8 automatically formats Python code to conform to the
 PEP 8 style guide.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/autopep8-$1\.tar\.gz/ \
  https://github.com/tell-k/vim-autopep8/tags .*/v?(\d\S*)\.tar\.gz
